# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Types | Public Member Functions | Public Attributes

# vl::VLTToken Class Reference

A token of information as defined by VLT specification. More...

`#include <VLTTokenizer.hpp>`

List of all members.

## Public Types

enum | EType { TOKEN_ERROR, TOKEN_EOF, LeftRoundBracket, RightRoundBracket, LeftSquareBracket, RightSquareBracket, LeftCurlyBracket, RightCurlyBracket, LeftFancyBracket, RightFancyBracket, Equals, String, ID, Identifier, Boolean, Integer, real, TagHeader, RawtextBlock }

## Public Member Functions

| VLTToken ()

## Public Attributes

std::string | mString
EType | mType

## Detailed Description

A token of information as defined by VLT specification.

Definition at line 40 of file VLTTokenizer.hpp.

## Member Enumeration Documentation

enum vl::VLTToken::EType

Enumerator:

  TOKEN_ERROR |
  TOKEN_EOF |
  LeftRoundBracket |
  RightRoundBracket |
  LeftSquareBracket |
  RightSquareBracket |
  LeftCurlyBracket |
  RightCurlyBracket |
  LeftFancyBracket |
  RightFancyBracket |
  Equals |
  String |
  ID |
  Identifier |
  Boolean |
  Integer |
  real |
  TagHeader |
  RawtextBlock |

Definition at line 43 of file VLTTokenizer.hpp.

## Constructor & Destructor Documentation

vl::VLTToken::VLTToken | ( | ) | `[inline]`

Definition at line 68 of file VLTTokenizer.hpp.

## Member Data Documentation

std::string vl::VLTToken::mString

Definition at line 70 of file VLTTokenizer.hpp.

Referenced by vl::VLTTokenizer::getRawtextBlock(), vl::VLTTokenizer::getToken(), vl::VLXParserVLT::listTokens(), vl::VLXParserVLT::parse(), vl::VLXParserVLT::parseArray(), vl::VLXParserVLT::parseHeader(), vl::VLXParserVLT::parseList(), and vl::VLXParserVLT::parseStructure().

EType vl::VLTToken::mType

Definition at line 71 of file VLTTokenizer.hpp.

Referenced by vl::VLTTokenizer::getRawtextBlock(), vl::VLTTokenizer::getToken(), vl::VLXParserVLT::listTokens(), vl::VLXParserVLT::parse(), vl::VLXParserVLT::parseArray(), vl::VLXParserVLT::parseHeader(), vl::VLXParserVLT::parseList(), and vl::VLXParserVLT::parseStructure().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLTTokenizer.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:16.
Permission is granted to use this page to write and publish articles regarding Visualization Library.